﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Data;
using Infragistics.Controls.Charts;

namespace IssueWithToolTipWhenInPaneXBAP
{
    /// <summary>
    /// Interaction logic for Page1.xaml
    /// </summary>
    public partial class Page1 : Page
    {
        public Page1()
        {
            InitializeComponent();

            DataTable table = Table();

            //Create Lineseri


            //Create Lineseri

            LineSeries lineSeri = new LineSeries();
            lineSeri.ItemsSource = table.DefaultView;
            lineSeri.ValueMemberPath = "Value";
            lineSeri.XAxis = xAxis;
            lineSeri.YAxis = yAxis;
            lineSeri.TrendLineZIndex = 1;
            lineSeri.Title = "TestTitle";
            //Create Tooltip
            StackPanel spMain = new StackPanel();

            TextBlock txtBlock1 = new TextBlock();
            txtBlock1.Text = "TestText: ";
            spMain.Children.Add(txtBlock1);

            TextBlock dataText = new TextBlock();
            dataText.SetBinding(TextBlock.TextProperty,
                new Binding
                {
                    Path = new PropertyPath("Item.Value"),
                    StringFormat = "Value: {0}"
                });
            spMain.Children.Add(dataText);

            lineSeri.ToolTip = spMain;
            xamDataChart1.Series.Add(lineSeri);



            cp1.DataContext = table.DefaultView;
            
            

        }

        public DataTable Table()
        {
            DataTable table = new DataTable();

            table.Columns.Add("Date", typeof(DateTime));
            table.Columns.Add("Value", typeof(int));

            for (int i = 0; i < 10; i++)
            {
                table.Rows.Add(new object[] { DateTime.Now.AddDays(i), i });
            }

            return table;
        }
    }
}
